# GradleLifecycle

@Incubating
interface GradleLifecycle

Gradle lifecycle callbacks compatible with Configuration Cache and Isolated Projects.

#### Since

8.8

## Functions

afterProject
Link copied to clipboard
@Incubating
abstract fun afterProject(action: IsolatedAction<in Project>)
Adds an isolated action to be called immediately after a project is evaluated.
beforeProject
Link copied to clipboard
@Incubating
abstract fun beforeProject(action: IsolatedAction<in Project>)
Adds an isolated action to be called immediately before a project is evaluated.